<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
class Hantana {
	public function __construct(){

	}
	public function init(){
		$this->init_admin();
    	$this->enqueue_script();
	}
	public function init_admin() {
		register_setting( 'hantana', 'hantana_site_id' );
    	add_action( 'admin_menu', array( $this, 'create_nav_page' ) );
	}
	public function create_nav_page() {
		add_options_page(
		  esc_html__( 'هانتانا', 'hantana' ),
		  esc_html__( 'هانتانا', 'hantana' ),
		  'manage_options',
		  'hantana_settings',
		  array($this,'admin_view')
		);
	}
	public static function admin_view(){
		require_once plugin_dir_path( __FILE__ ) . '/../admin/views/settings.php';
	}
	public static function hantana_script(){
		$hantana_site_id = get_option( 'hantana_site_id' );
		$is_admin = is_admin();

		$hantana_site_id = trim($hantana_site_id);
		if (!$hantana_site_id) {
			return;
		}
		if ( $is_admin ) {
			return;
		}
		echo "
		<script type='text/javascript' defer>
		!(function(d,w,u,t,s,i){
			w.addEventListener('readystatechange', function(){if(w.readyState==='interactive') i = document.documentElement.scrollTop});
			function ha(){
				s = w.createElement('script');
				d._hantanaSettings={tId:t,i:i};
				s.type = 'text/javascript', s.async = !0, s.src = u + t;
				h = w.getElementsByTagName('head')[0];
				h.appendChild(s);
			}
			'complete'===w.readyState?ha():d.attachEvent?d.attachEvent('onload',ha):d.addEventListener('load',ha,!1);
		})(window,document,'https://hantana.org/widget/','" . $hantana_site_id . "',0);
		</script>
		";
	}
	private function enqueue_script() {
		add_action( 'wp_head', array($this, 'hantana_script') );
	}

}

?>
